{
  "name": "language",
  "version": "1.0.0",
  "description": "Training on computer language : parsers, compilers and interpreters",
  "main": "index.js",
  "scripts": {
    "lint": "NODE_PATH=./src ./node_modules/.bin/tslint -c tslint.json --fix 'src/**/*.ts' 'test/**/*.ts'",
    "test": "NODE_PATH=./src mocha",
    "test:watch": "NODE_PATH=./src mocha --watch",
    "validate": "npm run lint && npm run test"
  },
  "author": "Crafting Software",
  "license": "CC-BY-4.0",
  "devDependencies": {
    "@types/chai": "^4.2.0",
    "@types/mocha": "^5.2.7",
    "@types/node": "^12.7.2",
    "chai": "^4.1.2",
    "expect": "24.9.0",
    "mocha": "^6.2.0",
    "source-map-support": "^0.5.6",
    "ts-node": "^8.3.0",
    "tslint": "^5.12.0",
    "typescript": "^3.5.3"
  },
  "dependencies": {
    "@types/immutable": "^3.8.7",
    "@types/tsmonad": "^0.5.0",
    "immutable": "^4.0.0-rc.12",
    "tsmonad": "^0.8.0"
  }
}
